| `fibery/decimal` |
`number` |
|
It's possible to apply number optional formatting though field configuration. Formatting is applied only for newly created fields. Formatting can be changed via default Fibery fields UI once field is created.
Money
```json theme={null}
{
"id": "amount",
"name": "Amount",
"type": "number",
"format": {
"format": "Money",
"currencyCode": "EUR",
"hasThousandSeparator": true,
"precision": 2
}
}
```
Percent
```json theme={null}
{
"id": "percent",
"name": "Percent",
"type": "number",
"format": {
"format": "Percent",
"precision": 2
}
}
```
Number
```json theme={null}
{
"id": "value",
"name": "Value",
"type": "number",
"format": {
"format": "Number",
"unit": "ea",
"hasThousandSeparator": true,
"precision": 2
}
}
```
|
| `fibery/integer` |
`number` |
`integer` |
|
| `fibery/text` |
`text` |
|
It's possible to apply text optional formatting though field configuration. Formatting is applied only for newly created fields. Formatting can be changed via default Fibery fields UI once field is created.
Phone
```json theme={null}
{
"id": "phone",
"name": "Phone",
"type": "text",
"format": {
"format": "phone"
}
}
```
|
| `fibery/url` |
`text` |
`url` |
|
| `fibery/email` |
`text` |
`email` |
|
| `fibery/bool` |
`text` |
`boolean` |
The conversion from text to boolean is as follows:
```json theme={null}
{
"true": true,
"yes": true,
"on": true,
"1": true,
"false": false,
"no": false,
"off": false,
"0": false,
"checked": true,
"": false
}
```
|
| `fibery/date-range` |
`text` |
`date-range` |
The value is a stringified object with start and end fields.
```json theme={null}
{
"start": "2020-01-22",
"end": "2020-08-19"
}
```
|
| `fibery/date-time-range` |
`text` |
`date-time-range` |
The value is a stringified object with start and end fields.
```json theme={null}
{
"start": "2020-01-22T01:02:23.977Z",
"end": "2020-08-18T06:02:23.977Z"
}
```
|
| `Collaboration~Documents/Document` |
`text` |
`html` |
Replaces content of rich text field converting value from `html` format. |
| `Collaboration~Documents/Document` |
`text` |
`md` |
Replaces content of rich text field converting value from `md` format. |
| Icons extension |
`text` |
`icon` |
Can be used to set Icon of entity. At the moment it works only with Emojis. The value should be either a native emoji (i.e. ππ») or its alias (i.e. `:wave::skin-tone-2:`). |
| Single Select Enum |
`text` |
`single-select` |
It's possible to specify options by adding options field into schema field configuration.
```json theme={null}
{
"options": [
{
"name": "Open",
"icon": "laughing",
"color": "#f2e2f4"
},
{
"name": "In Progress"
},
{
"name": "Closed"
}
]
}
```
If options property is missing then the integration module will infer the options automatically based on your data.
|
| Workflow |
`text` |
`workflow` |
It's possible to specify options by adding options field into schema field configuration. Options must include record with default: true and final: true records. It could optionally include type: "Not started" | "Started" | "Finished".
```json theme={null}
{
"options": [
{
"name": "Open",
"icon": "laughing",
"color": "#f2e2f4",
"default": true
},
{
"name": "In Progress",
"type": "Started"
},
{
"final": true,
"name": "Closed"
}
]
}
```
If options property is missing then the integration module will infer the options automatically based on your data, including start and final options.
|
| Multi Select Enum |
`text` or `array[text]` |
`multi-select` |
It's possible to specify options by adding options field into schema field configuration.
```json theme={null}
{
"options": [
{
"name": "JS",
"icon": "laughing",
"color": "#f2e2f4"
},
{
"name": "Java"
},
{
"name": "Closure"
}
]
}
```
If options property is missing then the integration module will infer the options automatically based on your data.
Values can be passed differently depending on type value. It can be either a JSON array \["JS", "Java"] of selected options or a comma-separated string of selected options "JS,Java".
|
| `fibery/date-time` |
`date` |
|
Value format: `2020-01-22T01:02:23.977Z`. |
| `fibery/date` |
`date` |
`day` |
Value format: `2020-08-22`. |
| Files |
`array[text]` β for multiple files, `text` β for single file |
`file` |
Array of links to files. The integration service will download files from the links and upload them into Fibery. If access to file content requires authentication then the url should be provided in special format via app\://resource and connector should implement POST /api/v1/synchronizer/resource endpoint. See here for more info.
By default, files are treated as unique by provided URL. So if file url is changed during next sync then previous file will be deleted and new file will be uploaded. Unfortunately, it's rather common practice to provide temporary file URL. In this case Fibery will be constantly remove and add the same file during each sync. Luckily, Fibery provides a way to add an unique key for each file. Connector developers may add a special query parameter \_\_file-key into file url. It's also works with authenticated access by adding the same query parameter (\_\_file-key).
Example: [https://myapp/files/temp-file-access-token?\_\_file-key=file-id](https://myapp/files/temp-file-access-token?__file-key=file-id) and on next sync [https://myapp/files/temp-file-access-token-2?\_\_file-key=file-id](https://myapp/files/temp-file-access-token-2?__file-key=file-id).
|
| Avatar extension |
`text` |
`avatar` |
Link to file. Integration will download the file from the link and upload it into Fibery. |
| `fibery/location` |
`text` |
`location` |
Location field. Supported values are:
Coordinates
```
40.123, -74.123
40.123Β° N 74.123Β° W
40Β° 7Β΄ 22.8" N 74Β° 7Β΄ 22.8" W
40Β° 7.38β , -74Β° 7.38β
N40Β°7β22.8, W74Β°7β22.8"
40Β°7β22.8"N, 74Β°7β22.8"W
40 7 22.8, -74 7 22.8
40.123 -74.123
40.123Β°,-74.123Β°
144442800, -266842800
40.123N74.123W
4007.38N7407.38W
40Β°7β22.8"N, 74Β°7β22.8"W
400722.8N740722.8W
N 40 7.38 W 74 7.38
40:7:23N,74:7:23W
40:7:22.8N 74:7:22.8W
40Β°7β23"N 74Β°7β23"W
40Β°7β23" -74Β°7β23"
40d 7β 23" N 74d 7β 23" W
40.123N 74.123W
40Β° 7.38, -74Β° 7.38
```
Stringified JSON
```json theme={null}
{
"longitude": "52.2297",
"latitude": "21.0122",
"fullAddress": "Warsaw, Poland"
}
```
|